Skip to main content
GET
/
2025-09
/
sites
List all Sites
curl --request GET \
  --url https://public-api.stora.co/2025-09/sites \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/sites"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/sites', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "sites": [
    {
      "id": "site_14b419f1096013f1",
      "access_hours": {
        "friday": {
          "close": "18:00",
          "open": "08:00",
          "status": "set_hours"
        },
        "monday": {
          "close": "18:00",
          "open": "08:00",
          "status": "set_hours"
        },
        "saturday": {
          "close": "18:00",
          "open": "08:00",
          "status": "set_hours"
        },
        "sunday": {
          "close": "18:00",
          "open": "08:00",
          "status": "set_hours"
        },
        "thursday": {
          "close": "18:00",
          "open": "08:00",
          "status": "set_hours"
        },
        "tuesday": {
          "close": "18:00",
          "open": "08:00",
          "status": "set_hours"
        },
        "wednesday": {
          "close": "18:00",
          "open": "08:00",
          "status": "set_hours"
        }
      },
      "address": {
        "city": "Segfault Springs",
        "line_1": "42 Hitchhiker's Lane",
        "line_2": "Unit NaN",
        "postal_code": "NULL00"
      },
      "created_at": "2025-02-20T14:41:00Z",
      "description": "A site for all your Stack Overflow needs.",
      "directions": {
        "google_maps_url": "https://maps.google.com/?q=Stora+-+Self+Storage+Software"
      },
      "images": {
        "default": null
      },
      "name": "The Stack Overflow Station",
      "opened_at": "2025-02-24T14:41:00Z",
      "phone": "012345789",
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 1,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
name,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC

Search sites by name (fuzzy match). BETA

created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_after
string<date-time>

Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_before
string<date-time>

Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

200 - application/json

list of sites

List of Sites

sites
object[]
meta
object